% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%	MPOV - uloha 7 - kalibrace mikroskopu	
%
%
%	- program otevre komunikaci s kamerou, sejme obraz horizontalnich
%	  a vertikalnich car, vypocte fyzickou velikost pixelu.
%	- aplikaci rozsirte o moznost ziskat dva body kliknute uzivatelem
%	  (funkce ginput) a zmerte tuto realnou velikost v mm	
%
%	
%	verze: 9-2023 / midas.uamt.feec.vutbr.cz
%
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% uklid
clear all;
close all;
clc;

% kamera
imaqreset;
pause(2);
kam = videoinput('dcam', 1, 'Y8_1024x768');
triggerconfig(kam,'manual');
param = getselectedsource(kam);
param.ShutterControl = 'absolute';
param.GainMode = 'manual';
param.Gain = 500;
param.AutoExposure = 800;

% nahled videa pro nastaveni
preview(kam);
pause(1);
pause;
closepreview(kam);
pause(1);

% ZACNETE PROGRAMOVAT ZDE >>>
% ... doplnte program tak, aby sejmul obraz s kalibracnimi
% carami vertikalnimi a horizontalnimi, vypoctete dalsi udaje

% ... porizeni snimku
img = getsnapshot(kam);
% ... podvzorkovani
img = img(1:2:end,1:2:end,:);
% ... vyrez obrazu s carami
vyber = ex07_vyber(img);
% ... zobrazeni vyberu
imshow(vyber)


% ZACNETE PROGRAMOVAT ZDE >>>
% ... doplnte ukazku mereni realne vzdalenosti mezi dvema body (ginput)


% ukonecni kamery
stop(kam);
delete(kam);
